Skip to main content
POST
/
v1
/
upsertAvalaraCredentials
Upsert Avalara credentials
curl --request POST \
  --url https://api.metronome.com/v1/upsertAvalaraCredentials \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "delivery_method_ids": [
    "9a906ebb-fbc7-42e8-8e29-53bfd2db3aca"
  ],
  "avalara_environment": "PRODUCTION",
  "avalara_username": "test@metronome.com",
  "avalara_password": "my_password_123",
  "commit_transactions": true
}
'
import requests

url = "https://api.metronome.com/v1/upsertAvalaraCredentials"

payload = {
    "delivery_method_ids": ["9a906ebb-fbc7-42e8-8e29-53bfd2db3aca"],
    "avalara_environment": "PRODUCTION",
    "avalara_username": "test@metronome.com",
    "avalara_password": "my_password_123",
    "commit_transactions": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    delivery_method_ids: ['9a906ebb-fbc7-42e8-8e29-53bfd2db3aca'],
    avalara_environment: 'PRODUCTION',
    avalara_username: 'test@metronome.com',
    avalara_password: 'my_password_123',
    commit_transactions: true
  })
};

fetch('https://api.metronome.com/v1/upsertAvalaraCredentials', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{}
{
  "message": "<string>"
}
{
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Set the Avalara credentials for some specified delivery_method_ids

delivery_method_ids
string[]
required

The delivery method IDs of the billing provider configurations to update, can be found in the response of the /listConfiguredBillingProviders endpoint.

avalara_environment
enum<string>
required

The Avalara environment to use (SANDBOX or PRODUCTION).

Available options:
PRODUCTION,
SANDBOX
avalara_username
string
required

The username for the Avalara account.

avalara_password
string
required

The password for the Avalara account.

commit_transactions
boolean

Commit transactions if you want Metronome tax calculations used for reporting and tax filings.

Response

Success

The response is of type object.